@misc{ wikiTSP,
author = "{Wikipedia contributors}",
title = "Travelling salesman problem --- {Wikipedia}{,} The Free Encyclopedia",
year = "2019",
url = "https://en.wikipedia.org/w/index.php?title=Travelling_salesman_problem&oldid=899744030",
note = "[posjećeno 1. Lipnja 2019.]"
}

@article{fastAlgo,
author = {Louis Bentley, Jon},
year = {1992},
month = {11},
pages = {387-411},
title = {Fast Algorithms for Geometric Traveling Salesman Problems},
volume = {4},
journal = {INFORMS Journal on Computing},
doi = {10.1287/ijoc.4.4.387}
}

@article{tsplib,
author = {Reinelt, Gerhard},
year = {1991},
month = {11},
pages = {376-384},
title = {TSPLIB. A traveling salesman problem library},
volume = {3},
journal = {INFORMS Journal on Computing},
doi = {10.1287/ijoc.3.4.376}
}

@article{christofides,
author = {Christofides, Nicos},
year = {1976},
month = {02},
pages = {10},
title = {Worst-Case Analysis of a New Heuristic for the Traveling Salesman Problem},
journal = {Carnegie Mellon University}
}

@misc{ eulerianPath,
    author = "{Wikipedia contributors}",
    title = "Eulerian path --- {Wikipedia}{,} The Free Encyclopedia",
    year = "2019",
    url = "https://en.wikipedia.org/w/index.php?title=Eulerian_path&oldid=899549338",
    note = "[posjećeno 1. Lipnja 2019.]"
  }

@book{ matchingIsHard,
 author = {Papadimitriou, Christos H. and Steiglitz, Kenneth},
 title = {Combinatorial Optimization: Algorithms and Complexity},
 year = {1982},
 pages = {255-266},
 isbn = {0-13-152462-3},
 publisher = {Prentice-Hall, Inc.},
 address = {Upper Saddle River, NJ, USA},
} 

@article{bellman,
 author = {Bellman, Richard},
 title = {Dynamic Programming Treatment of the Travelling Salesman Problem},
 journal = {J. ACM},
 issue_date = {Jan. 1962},
 volume = {9},
 number = {1},
 month = jan,
 year = {1962},
 issn = {0004-5411},
 pages = {61--63},
 numpages = {3},
 url = {http://doi.acm.org/10.1145/321105.321111},
 doi = {10.1145/321105.321111},
 acmid = {321111},
 publisher = {ACM},
 address = {New York, NY, USA},
} 

@article{held,
 author = {Held, Michael and Karp, Richard M.},
 title = {A Dynamic Programming Approach to Sequencing Problems},
 booktitle = {Proceedings of the 1961 16th ACM National Meeting},
 series = {ACM '61},
 year = {1961},
 pages = {71.201--71.204},
 numpages = {1.003},
 url = {http://doi.acm.org/10.1145/800029.808532},
 doi = {10.1145/800029.808532},
 acmid = {808532},
 publisher = {ACM},
 address = {New York, NY, USA},
} 

@article{bentley,
 author = {Bentley, Jon Louis},
 title = {Multidimensional Binary Search Trees Used for Associative Searching},
 journal = {Commun. ACM},
 issue_date = {Sept. 1975},
 volume = {18},
 number = {9},
 month = sep,
 year = {1975},
 issn = {0001-0782},
 pages = {509--517},
 numpages = {9},
 url = {http://doi.acm.org/10.1145/361002.361007},
 doi = {10.1145/361002.361007},
 acmid = {361007},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {associative retrieval, attribute, binary search trees, binary tree insertion, information retrieval system, intersection queries, key, nearest neighbor queries, partial match queries},
} 

@misc{ hkWiki,
    author = "{Wikipedia contributors}",
    title = "Held–Karp algorithm --- {Wikipedia}{,} The Free Encyclopedia",
    year = "2019",
    url = "https://en.wikipedia.org/w/index.php?title=Held%E2%80%93Karp_algorithm&oldid=884165605",
    note = "[Online; accessed 10-June-2019]"
  }
  
  
@misc{ boruvkaWiki,
author = "{Wikipedia contributors}",
title = "Borůvka's algorithm --- {Wikipedia}{,} The Free Encyclopedia",
year = "2019",
url = "https://en.wikipedia.org/w/index.php?title=Bor%C5%AFvka%27s_algorithm&oldid=882176990",
note = "[Online; accessed 10-June-2019]"
}

@misc{ boruvkaAlgoWiki,
author = "{AlgoWiki contributors}",
title = "Boruvka's algorithm",
year = "2019",
url = "https://algowiki-project.org/en/Boruvka's_algorithm",
note = "[Online; accessed 10-June-2019]"
}

@Article{eulerTour,
author="Hierholzer, Carl
and Wiener, Chr",
title="Ueber die M{\"o}glichkeit, einen Linienzug ohne Wiederholung und ohne Unterbrechung zu umfahren",
journal="Mathematische Annalen",
year="1873",
month="Mar",
day="01",
volume="6",
number="1",
pages="30--32",
issn="1432-1807",
doi="10.1007/BF01442866",
url="https://doi.org/10.1007/BF01442866"
}

@article{kruskal,
author = {B Kruskal Jr, J},
year = {1956},
month = {02},
pages = {48-50},
title = {On the Shortest Spanning Subtree of a Graph and the Traveling Salesman Problem},
volume = {7},
journal = {Proceedings of the American Mathematical Society},
doi = {10.2307/2033241}
}
